SAP Knowledge Base Article - Preview

2872766 - Mismatched SOAP protocol with SDI SOAPAdapter - SAP HANA Smart Data Integration

Symptom

  •  Writing a query with SOAP 1.2 syntax such as <soap:Envelope> is reconfigured to use SOAP 1.1 syntax <soapenv:Envelope>
  • [WARN ] SOAPAdapter | WebServiceAdapter.executeCall - AxisFault when executing ->  org.apache.axis2.AxisFault: Invalid Request 
    • at org.apache.axis2.util.Utils.getInboundFaultFromMessageContext(Utils.java:508) 
    • at org.apache.axis2.description.OutInAxisOperationClient.handleResponse(OutInAxisOperation.java:368) 
    • at org.apache.axis2.description.OutInAxisOperationClient.send(OutInAxisOperation.java:414) 
    • at org.apache.axis2.description.OutInAxisOperationClient.executeImpl(OutInAxisOperation.java:225) 
    • at org.apache.axis2.client.OperationClient.execute(OperationClient.java:150) 
    • at webserviceadapter.WebServiceAdapter.executeCall(WebServiceAdapter.java:481) 
    • at com.sap.hana.dp.adapter.framework.core.WorkerThread.processExecuteStatement(WorkerThread.java:1572) 
    • at com.sap.hana.dp.adapter.framework.core.WorkerThread.processRequest(WorkerThread.java:247) 
    • at com.sap.hana.dp.adapter.framework.core.WorkerThread.run(WorkerThread.java:2023) 
    • at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) 
    • at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) 
    • at java.lang.Thread.run(Thread.java:805)


Read more...

Environment

  • SAP HANA Smart Data Integration
  • DP Agent version older than 2.4.1

Product

SAP HANA smart data integration all versions

Keywords

soap, soap12, soap11, 1.1, 1.2, soapenv, envelope, dpagent, agent, dp agent, , KBA , HAN-DP-SDI , SAP HANA smart data integration (SDI) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.